/**
 * NINJS-CORE Web
 * Web / Server related Utils - request wrapper, dom(cheerio wrapper), oauth, html plugins, ...
 */

var _ = require("lodash"),
	core = require("ninjs-core"),
	oauth = require("./oauth"),
	request = require("./request"),
	dom = require("./dom"),
	plugins = require("./plugins"),
	elem = require("./elem");

_.mixin(core);

var props = { 
	oauth: oauth, 
	request: request, 
	dom: dom, 
	plugins: plugins, 
	elem: elem 
};

// assign static props (not functions) to lodash(_) object
_.assign(_, props);

exports = module.exports = props;